# CUpti_ActivityModule Struct Reference
[CUPTI Activity API]

The activity record for a CUDA module. More...

## Data Fields
uint32_t | contextId
const void * | cubin
uint32_t | cubinSize
uint32_t | id
CUpti_ActivityKind | kind
uint32_t | pad

## Detailed Description

This activity record represents a CUDA module (CUPTI_ACTIVITY_KIND_MODULE). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect module data from the module callback may choose to use this type to store the collected module data.

## Field Documentation

uint32_t CUpti_ActivityModule::contextId

The ID of the context where the module is loaded.

const void* CUpti_ActivityModule::cubin

The pointer to cubin.

uint32_t CUpti_ActivityModule::cubinSize

The cubin size.

uint32_t CUpti_ActivityModule::id

The module ID.

CUpti_ActivityKind CUpti_ActivityModule::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MODULE.

uint32_t CUpti_ActivityModule::pad

Undefined. Reserved for internal use.